Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.project.validator
Class DbRelationshipValidator

    java.lang.Object
      org.apache.cayenne.project.validator.TreeNodeValidator
          org.apache.cayenne.project.validator.DbRelationshipValidator

    public class DbRelationshipValidator

extends TreeNodeValidator

Field Summary

Fields inherited from class org.apache.cayenne.project.validator.TreeNodeValidator
`dbAttrValidator, dbEntityValidator, dbRelValidator, domainValidator, ejbqlQueryValidator, mapValidator, nodeValidator, objAttrValidator, objEntityValidator, objRelValidator, procedureParameterValidator, procedureQueryValidator, procedureValidator, selectQueryValidator, sqlTemplateValidator`

Constructor Summary
`DbRelationshipValidator()` Constructor for DbRelationshipValidator.

Method Summary
`String` | `dbRelationshipIdentifier(DbRelationship rel)`
`void` | `validateObject(ProjectPath path, Validator validator)` Validates an object, appending any warnings or errors to the validator.

Methods inherited from class org.apache.cayenne.project.validator.TreeNodeValidator
`validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DbRelationshipValidator

    public DbRelationshipValidator()

  Constructor for DbRelationshipValidator.

Method Detail

### validateObject

    public void validateObject(ProjectPath path,
                               Validator validator)

  Description copied from class: `TreeNodeValidator`
  Validates an object, appending any warnings or errors to the validator. Object to be validated is the last object in a `treeNodePath` array argument. Concrete implementations would expect an object of a specific type. Otherwise, ClassCastException will be thrown.

  Specified by:
    `validateObject` in class `TreeNodeValidator`

### dbRelationshipIdentifier

    public String dbRelationshipIdentifier(DbRelationship rel)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2009 Apache Cayenne. All Rights Reserved.